opahostsmanalysis(8)

NAME
opahostsmanalysis

(All) Performs analysis against the local server only. It is assumed that both the host SM and the FastFabric are installed on the same system.

The host SM analysis tool checks the following:

•   Host SM software version

•   Host SM configuration file (simple text compare using FF_DIFF_CMD)

•   Host SM health (for example, is it running?)

Syntax
opahostsmanalysis [-b|-e] [-s] [-d dir]

Options

--help

    Produces full help text.

-b

    Specifies the baseline mode. Default is the compare/check mode.

-e

    Evaluates health only. Default is the compare/check mode.

-s

    Saves history of failures (errors/differences).

-d dir

    Specifies the top-level directory for saving baseline and history of failed checks. Default is /var/usr/lib/opa/analysis

Example
opahostsmanalysis

Environment Variables

The following environment variables are also used by this command:

FF_ANALYSIS_DIR

    Top-level directory for baselines and failed health checks.

FF_CURTIME

    Timestamp to use on the directory created in FF_DIFF_CMD.

FF_DIFF_CMD

    Linux* command to use to compare baseline to latest snapshot.

Details

All files generated by opahostsmanalysis start with hostsm in the file name.

The opahostsmanalysis tool generates files such as the following within FF_ANALYSIS_DIR. The actual file names reflect the individual chassis commands that have been configured using the FF_CHASSIS_HEALTH and FF_CHASSIS_CMDS parameters:

Health Check

•   latest/hostsm.smstatus - Output of the sm_query smShowStatus command.

Baseline

•   baseline/hostsm.smver - Host SM version.

•   baseline/hostsm.smconfig - Copy of opafm.xml.

During a baseline run, the files are also created in FF_ANALYSIS_DIR/latest.

Full Analysis

•   latest/hostsm.smstatus - Output of the sm_query smShowStatus command.

•   latest/hostsm.smver - Host SM version. latest/hostsm.smver.diff - diff of the baseline and latest host SM version.

•   latest/hostsm.smconfig - Copy of opafm.xml.

•   latest/hostsm.smconfig.diff - diff of the baseline and the latest opafm.xml.

The .diff files are only created if differences are detected.

If the -s option is used and failures are detected, files related to the checks that failed are also copied to a time-stamped directory name under FF_ANALYSIS_DIR.

Host SM Items Checked Against the Baseline

•   SM configuration file.

•   Version of the SM rpm installed on the system.

Host SM Items Also Checked During Health Check

•   The SM is in the running state.